#
# Makefile for localmag  -- Solaris version
LDC = cc

# To turn on UW-specific features, uncomment the following four lines.
#UW_FLAGS = -Xc -DUW -I$(SNAPSHOME)/Src/Utils
#UW_OBJ = lm_uw.o uwresp.o
#UW_LIBS = -L$(SNAPSHOME)/Src/Utils -lutils
#LDC = f77

FFLAGS = -g
CFLAGS = ${GLOBALFLAGS} ${UW_FLAGS}
C_OPTS = -g

#B = ../../../bin
#L = ../../../lib
B = ${EW_HOME}/${EW_VERSION}/bin
L = ${EW_HOME}/${EW_VERSION}/lib

all: localmag

LIBS = -lm -lnsl -lsocket -lposix4 -lthread

OBJS = lm_main.o lm_util.o lm_config.o lm_ws.o lm_misc.o lm_sac.o \
   lm_site.o lm_xml_event.o $(UW_OBJ)

EWLIBS = $L/swap.o $L/logit_mt.o $L/read_arc.o $L/time_ew.o $L/chron3.o \
   $L/ws_clientII.o $L/socket_ew_common.o $L/socket_ew.o $L/kom.o \
   $L/sleep_ew.o $L/tlay.o $L/mnbrak.o $L/brent.o $L/dirops_ew.o \
   $L/transport.o $L/getutil.o $L/mem_circ_queue.o $L/sema_ew.o \
   $L/threads_ew.o $L/fft99.o $L/fft_prep.o $L/transfer.o \
   $L/rw_mag.o 

localmag: $(OBJS)
	$(LDC) $(FFLAGS) -o $B/localmag $(OBJS) $(EWLIBS) $(UW_LIBS) $(LIBS)

# Clean-up rules
clean:
	rm -f a.out core *.o *.obj *% *~

clean_bin:
	rm -f $B/localmag

uwresp.o: uwresp.f
	f77 -c $(FFLAGS) uwresp.f

.c.o:
	cc -c ${CFLAGS} $(C_OPTS) $<

